com.trendmicro.ds.loginspection.rest.object

## Class Event

- java.lang.Object
- - com.trendmicro.ds.loginspection.rest.object.Event

-     public class Event
      extends java.lang.Object

  An integrity event.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Event()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAction()` Gets the action value from this LogInspectionEvent.
    `java.lang.String` | `getCommand()` Gets the command value from this LogInspectionEvent.
    `java.lang.String` | `getData()` Gets the data value from this LogInspectionEvent.
    `java.lang.String` | `getDescription()` Gets the description value from this LogInspectionEvent.
    `java.lang.String` | `getDestinationIP()` Gets the destinationIP value from this LogInspectionEvent.
    `java.lang.String` | `getDestinationPort()` Gets the destinationPort value from this LogInspectionEvent.
    `java.lang.String` | `getDestinationUser()` Gets the destinationUser value from this LogInspectionEvent.
    `java.lang.Long` | `getEventID()` Gets the LogInspectionEventID (unique key)
    `java.lang.String` | `getFullEvent()` Gets the fullEvent value from this LogInspectionEvent.
    `java.lang.String` | `getGroups()` Gets the groups value from this LogInspectionEvent.
    `java.lang.Integer` | `getHostID()` Gets the hostID value from this LogInspectionEvent.
    `java.lang.String` | `getHostName()` Gets the hostName value from this LogInspectionEvent.
    `java.lang.String` | `getLocation()` Gets the location value from this LogInspectionEvent.
    `java.lang.Integer` | `getLogInspectionRuleID()` Gets the logInspectionRuleID value from this LogInspectionEvent.
    `java.util.Date` | `getLogTime()` Get the time at which the event was recorded.
    `java.lang.String` | `getMessage()` Gets the message value from this LogInspectionEvent.
    `java.lang.String` | `getProgramName()` Gets the programName value from this LogInspectionEvent.
    `java.lang.String` | `getProtocol()` Gets the protocol value from this LogInspectionEvent.
    `int` | `getRank()` Gets the rank value from this LogInspectionEvent.
    `java.lang.String` | `getReason()` Gets the reason value from this LogInspectionEvent.
    `java.lang.Integer` | `getRuleID()` Gets the ruleID value from this LogInspectionEvent.
    `java.lang.String` | `getSeverity()` Gets the severity value from this LogInspectionEvent.
    `java.lang.String` | `getSourceHostName()` Gets the sourceHostName value from this LogInspectionEvent.
    `java.lang.String` | `getSourceID()` Gets the sourceID value from this LogInspectionEvent.
    `java.lang.String` | `getSourceIP()` Gets the sourceIP value from this LogInspectionEvent.
    `java.lang.String` | `getSourcePort()` Gets the sourceUser value from this LogInspectionEvent.
    `java.lang.String` | `getSourceUser()` Gets the sourceUser value from this LogInspectionEvent.
    `java.lang.String` | `getStatus()` Gets the status value from this LogInspectionEvent.
    `java.lang.String` | `getSystemName()` Gets the systemName value from this LogInspectionEvent.
    `java.lang.String` | `getTags()` Get the tags associated with the event.
    `java.lang.String` | `getUrl()` Gets the url value from this LogInspectionEvent.
    `void` | `setAction(java.lang.String action)` Sets the action value to this LogInspectionEvent.
    `void` | `setCommand(java.lang.String command)` Sets the command value to this LogInspectionEvent.
    `void` | `setData(java.lang.String data)` Sets the data value to this LogInspectionEvent.
    `void` | `setDescription(java.lang.String description)` Sets the description value to this LogInspectionEvent.
    `void` | `setDestinationIP(java.lang.String destinationIP)` Sets the destinationIP value to this LogInspectionEvent.
    `void` | `setDestinationPort(java.lang.String destinationPort)` Sets the destinationPort value to this LogInspectionEvent.
    `void` | `setDestinationUser(java.lang.String destinationUser)` Sets the destinationUser value to this LogInspectionEvent.
    `void` | `setEventID(java.lang.Long eventID)` Sets the LogInspectionEventID (unique key)
    `void` | `setFullEvent(java.lang.String fullEvent)` Sets the fullEvent value to this LogInspectionEvent.
    `void` | `setGroups(java.lang.String groups)` Sets the groups value to this LogInspectionEvent.
    `void` | `setHostID(java.lang.Integer hostID)` Sets the hostID value to this LogInspectionEvent.
    `void` | `setHostName(java.lang.String hostName)` Sets the hostName value to this LogInspectionEvent.
    `void` | `setLocation(java.lang.String location)` Sets the location value to this LogInspectionEvent.
    `void` | `setLogInspectionRuleID(java.lang.Integer logInspectionRuleID)` Sets the logInspectionRuleID value from this LogInspectionEvent.
    `void` | `setLogTime(java.util.Date logTime)` Set the time at which the event was recorded.
    `void` | `setMessage(java.lang.String message)` Sets the message value to this LogInspectionEvent.
    `void` | `setProgramName(java.lang.String programName)` Sets the programName value to this LogInspectionEvent.
    `void` | `setProtocol(java.lang.String protocol)` Sets the protocol value to this LogInspectionEvent.
    `void` | `setRank(int rank)` Sets the rank value to this LogInspectionEvent.
    `void` | `setReason(java.lang.String reason)` Sets the reason value to this LogInspectionEvent.
    `void` | `setRuleID(java.lang.Integer ruleID)` Sets the ruleID value to this LogInspectionEvent.
    `void` | `setSeverity(java.lang.String severity)` Sets the severity value to this LogInspectionEvent.
    `void` | `setSourceHostName(java.lang.String sourceHostName)` Sets the sourceHostName value to this LogInspectionEvent.
    `void` | `setSourceID(java.lang.String sourceID)` Sets the sourceID value to this LogInspectionEvent.
    `void` | `setSourceIP(java.lang.String sourceIP)` Sets the sourceIP value to this LogInspectionEvent.
    `void` | `setSourcePort(java.lang.String sourcePort)` Sets the sourcePort value to this LogInspectionEvent.
    `void` | `setSourceUser(java.lang.String sourceUser)` Sets the sourceUser value to this LogInspectionEvent.
    `void` | `setStatus(java.lang.String status)` Sets the status value to this LogInspectionEvent.
    `void` | `setSystemName(java.lang.String systemName)` Sets the systemName value to this LogInspectionEvent.
    `void` | `setTags(java.lang.String tags)` Set the tags associated with the event.
    `void` | `setUrl(java.lang.String url)` Sets the url value to this LogInspectionEvent.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Event

          public Event()

  - ### Method Detail

    - #### getEventID

          public java.lang.Long getEventID()

      Gets the LogInspectionEventID (unique key)
      Returns:
        the LogInspectionEventID

    - #### setEventID

          public void setEventID(java.lang.Long eventID)

      Sets the LogInspectionEventID (unique key)
      Parameters:
        `logInspectionEventID` -

    - #### getHostID

          public java.lang.Integer getHostID()

      Gets the hostID value from this LogInspectionEvent.
      Returns:
        hostID

    - #### setHostID

          public void setHostID(java.lang.Integer hostID)

      Sets the hostID value to this LogInspectionEvent.
      Parameters:
        `hostID` -

    - #### getHostName

          public java.lang.String getHostName()

      Gets the hostName value from this LogInspectionEvent.
      Returns:
        hostName

    - #### setHostName

          public void setHostName(java.lang.String hostName)

      Sets the hostName value to this LogInspectionEvent.
      Parameters:
        `hostName` -

    - #### getLogTime

          public java.util.Date getLogTime()

      Get the time at which the event was recorded.
      Returns:
        the time at which the event was recorded.

    - #### setLogTime

          public void setLogTime(java.util.Date logTime)

      Set the time at which the event was recorded.
      Parameters:
        `logTime` - the time at which the event was recorded.

    - #### getRank

          public int getRank()

      Gets the rank value from this LogInspectionEvent.
      Returns:
        rank

    - #### setRank

          public void setRank(int rank)

      Sets the rank value to this LogInspectionEvent.
      Parameters:
        `rank` -

    - #### getReason

          public java.lang.String getReason()

      Gets the reason value from this LogInspectionEvent.
      Returns:
        reason

    - #### setReason

          public void setReason(java.lang.String reason)

      Sets the reason value to this LogInspectionEvent.
      Parameters:
        `reason` -

    - #### getDescription

          public java.lang.String getDescription()

      Gets the description value from this LogInspectionEvent.
      Returns:
        description

    - #### setDescription

          public void setDescription(java.lang.String description)

      Sets the description value to this LogInspectionEvent.
      Parameters:
        `description` -

    - #### getLogInspectionRuleID

          public java.lang.Integer getLogInspectionRuleID()

      Gets the logInspectionRuleID value from this LogInspectionEvent.
      Returns:
        logInspectionRuleID

    - #### setLogInspectionRuleID

          public void setLogInspectionRuleID(java.lang.Integer logInspectionRuleID)

      Sets the logInspectionRuleID value from this LogInspectionEvent.
      Parameters:
        `logInspectionRuleID` -

    - #### getRuleID

          public java.lang.Integer getRuleID()

      Gets the ruleID value from this LogInspectionEvent.
      Returns:
        ruleID

    - #### setRuleID

          public void setRuleID(java.lang.Integer ruleID)

      Sets the ruleID value to this LogInspectionEvent.
      Parameters:
        `ruleID` -

    - #### getSeverity

          public java.lang.String getSeverity()

      Gets the severity value from this LogInspectionEvent.
      Returns:
        severity

    - #### setSeverity

          public void setSeverity(java.lang.String severity)

      Sets the severity value to this LogInspectionEvent.
      Parameters:
        `severity` -

    - #### getGroups

          public java.lang.String getGroups()

      Gets the groups value from this LogInspectionEvent.
      Returns:
        groups

    - #### setGroups

          public void setGroups(java.lang.String groups)

      Sets the groups value to this LogInspectionEvent.
      Parameters:
        `groups` -

    - #### getSourceHostName

          public java.lang.String getSourceHostName()

      Gets the sourceHostName value from this LogInspectionEvent.
      Returns:
        sourceHostName

    - #### setSourceHostName

          public void setSourceHostName(java.lang.String sourceHostName)

      Sets the sourceHostName value to this LogInspectionEvent.
      Parameters:
        `sourceHostName` -

    - #### getProgramName

          public java.lang.String getProgramName()

      Gets the programName value from this LogInspectionEvent.
      Returns:
        programName

    - #### setProgramName

          public void setProgramName(java.lang.String programName)

      Sets the programName value to this LogInspectionEvent.
      Parameters:
        `programName` -

    - #### getMessage

          public java.lang.String getMessage()

      Gets the message value from this LogInspectionEvent.
      Returns:
        message

    - #### setMessage

          public void setMessage(java.lang.String message)

      Sets the message value to this LogInspectionEvent.
      Parameters:
        `message` -

    - #### getLocation

          public java.lang.String getLocation()

      Gets the location value from this LogInspectionEvent.
      Returns:
        location

    - #### setLocation

          public void setLocation(java.lang.String location)

      Sets the location value to this LogInspectionEvent.
      Parameters:
        `location` -

    - #### getSourceIP

          public java.lang.String getSourceIP()

      Gets the sourceIP value from this LogInspectionEvent.
      Returns:
        sourceIP

    - #### setSourceIP

          public void setSourceIP(java.lang.String sourceIP)

      Sets the sourceIP value to this LogInspectionEvent.
      Parameters:
        `sourceIP` -

    - #### setSourcePort

          public void setSourcePort(java.lang.String sourcePort)

      Sets the sourcePort value to this LogInspectionEvent.
      Parameters:
        `sourcePort` -

    - #### getSourcePort

          public java.lang.String getSourcePort()

      Gets the sourceUser value from this LogInspectionEvent.
      Returns:
        sourceUser

    - #### getDestinationIP

          public java.lang.String getDestinationIP()

      Gets the destinationIP value from this LogInspectionEvent.
      Returns:
        destinationIP

    - #### setDestinationIP

          public void setDestinationIP(java.lang.String destinationIP)

      Sets the destinationIP value to this LogInspectionEvent.
      Parameters:
        `destinationIP` -

    - #### getDestinationPort

          public java.lang.String getDestinationPort()

      Gets the destinationPort value from this LogInspectionEvent.
      Returns:
        destinationPort

    - #### setDestinationPort

          public void setDestinationPort(java.lang.String destinationPort)

      Sets the destinationPort value to this LogInspectionEvent.
      Parameters:
        `destinationPort` -

    - #### getProtocol

          public java.lang.String getProtocol()

      Gets the protocol value from this LogInspectionEvent.
      Returns:
        protocol

    - #### setProtocol

          public void setProtocol(java.lang.String protocol)

      Sets the protocol value to this LogInspectionEvent.
      Parameters:
        `protocol` -

    - #### getAction

          public java.lang.String getAction()

      Gets the action value from this LogInspectionEvent.
      Returns:
        action

    - #### setAction

          public void setAction(java.lang.String action)

      Sets the action value to this LogInspectionEvent.
      Parameters:
        `action` -

    - #### getSourceUser

          public java.lang.String getSourceUser()

      Gets the sourceUser value from this LogInspectionEvent.
      Returns:
        sourceUser

    - #### setSourceUser

          public void setSourceUser(java.lang.String sourceUser)

      Sets the sourceUser value to this LogInspectionEvent.
      Parameters:
        `sourceUser` -

    - #### getDestinationUser

          public java.lang.String getDestinationUser()

      Gets the destinationUser value from this LogInspectionEvent.
      Returns:
        destinationUser

    - #### setDestinationUser

          public void setDestinationUser(java.lang.String destinationUser)

      Sets the destinationUser value to this LogInspectionEvent.
      Parameters:
        `destinationUser` -

    - #### getSourceID

          public java.lang.String getSourceID()

      Gets the sourceID value from this LogInspectionEvent.
      Returns:
        sourceID

    - #### setSourceID

          public void setSourceID(java.lang.String sourceID)

      Sets the sourceID value to this LogInspectionEvent.
      Parameters:
        `sourceID` -

    - #### getStatus

          public java.lang.String getStatus()

      Gets the status value from this LogInspectionEvent.
      Returns:
        status

    - #### setStatus

          public void setStatus(java.lang.String status)

      Sets the status value to this LogInspectionEvent.
      Parameters:
        `status` -

    - #### getCommand

          public java.lang.String getCommand()

      Gets the command value from this LogInspectionEvent.
      Returns:
        command

    - #### setCommand

          public void setCommand(java.lang.String command)

      Sets the command value to this LogInspectionEvent.
      Parameters:
        `command` -

    - #### getUrl

          public java.lang.String getUrl()

      Gets the url value from this LogInspectionEvent.
      Returns:
        url

    - #### setUrl

          public void setUrl(java.lang.String url)

      Sets the url value to this LogInspectionEvent.
      Parameters:
        `url` -

    - #### getData

          public java.lang.String getData()

      Gets the data value from this LogInspectionEvent.
      Returns:
        data

    - #### setData

          public void setData(java.lang.String data)

      Sets the data value to this LogInspectionEvent.
      Parameters:
        `data` -

    - #### getSystemName

          public java.lang.String getSystemName()

      Gets the systemName value from this LogInspectionEvent.
      Returns:
        systemName

    - #### setSystemName

          public void setSystemName(java.lang.String systemName)

      Sets the systemName value to this LogInspectionEvent.
      Parameters:
        `systemName` -

    - #### getFullEvent

          public java.lang.String getFullEvent()

      Gets the fullEvent value from this LogInspectionEvent.
      Returns:
        fullEvent

    - #### setFullEvent

          public void setFullEvent(java.lang.String fullEvent)

      Sets the fullEvent value to this LogInspectionEvent.
      Parameters:
        `fullEvent` -

    - #### getTags

          public java.lang.String getTags()

      Get the tags associated with the event.

      The tags will be returned in a comma-and-whitespace-separated list. For example, if an event has been tagged with `tag1` and `tag2`, then the returned string will be `tag1, tag2`.

      Returns:
        the tags associated with the event.

    - #### setTags

          public void setTags(java.lang.String tags)

      Set the tags associated with the event.
      Parameters:
        `tags` - the tags associated with the event.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.